LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 12-18-2012, 02:44 AM   #61
kite
Member
 
Registered: Aug 2003
Location: Shenzhen, China
Distribution: Slackware
Posts: 301

Rep: Reputation: 47

pulseaudio is not working with Skype, could it be disabled? How?
 
Old 12-18-2012, 05:08 AM   #62
bartgymnast
Member
 
Registered: Feb 2003
Location: Lelystad, Netherlands
Distribution: slack 7.1 till latest and -current, LFS
Posts: 272

Original Poster
Rep: Reputation: 93
Quote:
Originally Posted by sahko View Post
I thought GNOME 3.6 didn't work without systemd but i see no systemd packages in the dropline files list.

This patch might help with gstreamer errors along with disabling webkit in the configure stage if webkit is compiled with gst 1.0 support.
BTW rhythmbox 2.98 still uses gst 0.10.

Hi sahko,

thanks for the patch, I have included it, together with an extra option to configure.
I have rebuild and tested the updated rhythmbox, and now it is working.

you can find the 32bit files here
http://dropline.omgwtfroflol.com/3.6...8-i686-4dl.txz
http://dropline.omgwtfroflol.com/3.6...86-4dl.txz.md5
 
Old 12-18-2012, 05:50 AM   #63
zeroberto
Member
 
Registered: Aug 2008
Location: Serbia
Distribution: Slackware-current
Posts: 39

Rep: Reputation: 1
I can confirm the rhythmbox bug is fixed with this patch. I have just built it on 64bit system using the latest build script from dropline-gnome svn.
 
Old 12-18-2012, 06:11 AM   #64
sahko
Senior Member
 
Registered: Sep 2008
Distribution: Slackware
Posts: 1,041

Rep: Reputation: Disabled
Quote:
Originally Posted by bartgymnast View Post
Hi sahko,

thanks for the patch, I have included it, together with an extra option to configure.
I have rebuild and tested the updated rhythmbox, and now it is working.
Glad i was able to help.
 
Old 12-18-2012, 06:41 AM   #65
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Quote:
Originally Posted by kite View Post
pulseaudio is not working with Skype, could it be disabled? How?
thats for sure something I will look into, because I use skype for my work so we need to make it work. For now I hve no idea on how to disable pulseaudio. Things are built against it , so its not a simple uninstall.
 
Old 12-18-2012, 07:59 AM   #66
bartgymnast
Member
 
Registered: Feb 2003
Location: Lelystad, Netherlands
Distribution: slack 7.1 till latest and -current, LFS
Posts: 272

Original Poster
Rep: Reputation: 93
you can disable pulseaudio.
Skype has an howto on their website.

https://support.skype.com/en/faq/FA1...kype-for-linux
 
Old 12-19-2012, 09:54 AM   #67
tuxbg
Member
 
Registered: Sep 2012
Location: Bulgaria,Varna
Distribution: Slackware64
Posts: 249

Rep: Reputation: Disabled
Quote:
Originally Posted by saxa View Post
Please run dropline-installer as root and you should get the gnome-tweak-tool. Please report if any problems.
ERROR : Could not find any typelib for GConf
 
Old 12-19-2012, 09:20 PM   #68
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Huh, I don`t know where this error comes from, for sure not from our installer. Have you installed all packages ? You should have GConf installed.
 
Old 12-20-2012, 05:13 AM   #69
tuxbg
Member
 
Registered: Sep 2012
Location: Bulgaria,Varna
Distribution: Slackware64
Posts: 249

Rep: Reputation: Disabled
Quote:
Originally Posted by saxa View Post
Huh, I don`t know where this error comes from, for sure not from our installer. Have you installed all packages ? You should have GConf installed.
Yes i have all packages installed,also i compile myself gnome-tweak-tool and this is the error

ERROR : Could not find any typelib for GConf
Traceback (most recent call last):
File "/usr/bin/gnome-tweak-tool", line 75, in <module>
MainWindow()
File "/usr/lib64/python2.7/site-packages/gtweak/mainwindow.py", line 41, in __init__
model)
File "/usr/lib64/python2.7/site-packages/gtweak/tweakview.py", line 58, in __init__
self._model.load_tweaks()
File "/usr/lib64/python2.7/site-packages/gtweak/tweakmodel.py", line 147, in load_tweaks
mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
File "/usr/lib64/python2.7/site-packages/gtweak/tweaks/tweak_shell_extensions.py", line 10, in <module>
from gtweak.utils import extract_zip_file, execute_subprocess
File "/usr/lib64/python2.7/site-packages/gtweak/utils.py", line 26, in <module>
from gtweak.gconf import GConfSetting
File "/usr/lib64/python2.7/site-packages/gtweak/gconf.py", line 23, in <module>
from gi.repository import GConf
ImportError: cannot import name GConf
 
Old 12-20-2012, 08:07 AM   #70
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Tuxbg, I'm pretty sure you have not installed all of them. gconf.py looks for something and doesnt find it.
Code:
File "/usr/lib64/python2.7/site-packages/gtweak/gconf.py", line 23, in <module>
from gi.repository import GConf
ImportError: cannot import name GConf
It seems something is wrong with gobject-introspection or gconf.
 
Old 12-20-2012, 08:30 AM   #71
tuxbg
Member
 
Registered: Sep 2012
Location: Bulgaria,Varna
Distribution: Slackware64
Posts: 249

Rep: Reputation: Disabled
I miss a pygobject package sorry,now all work's fine
 
Old 12-20-2012, 10:29 AM   #72
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Great ! Please remember that if you want to help and report problems its very important that you use the full install of packages installed with the dropline-installer.
Otherwise is very difficult to understand whats wrong.
 
Old 12-20-2012, 10:30 AM   #73
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Great ! Please remember that if you want to help and report problems its very important that you use the full install of packages installed with the dropline-installer.
Otherwise is very difficult to understand whats wrong.
 
Old 12-22-2012, 12:37 PM   #74
saxa
Member
 
Registered: Aug 2004
Posts: 303

Rep: Reputation: 18
Updates up 2012-12-22 !

I have uploaded about 12 updates for both archs, i686 and x86-64. Please re-run dropline-installer and it should update you the system.

Rhythmbox has been fixed with the patch provided by sahko, thanks to him and Bart for the update. Other packages have been updated to the latest stable sources.

Merry Christmas and a Happy New Year 2013 to all of you !
 
Old 12-23-2012, 10:26 AM   #75
gmgf
Member
 
Registered: Jun 2012
Location: France
Distribution: Slackware Zenwalk
Posts: 166

Rep: Reputation: Disabled
It seem the polkit slackware package need to be patched, because some autentification password does not work, in the gnome-control-center, the debian patch work here and it's here:

http://patch-tracker.debian.org/patc...up-wheel.patch

Last edited by gmgf; 12-23-2012 at 10:35 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Ubuntu GNOME Remix 12.10 Alpha 2 Released LXer Syndicated Linux News 0 09-14-2012 08:20 AM
How to set perferred applications in Gnome/Slackware 12/Dropline Gnome ? perry Slackware 3 05-27-2008 04:53 PM
Dropline GNOME 2.10.2 Released. zborgerd Slackware 3 07-10-2005 03:10 AM
Firebird 2.0 Alpha 2 Released mariuz Linux - News 1 06-13-2005 12:54 PM
dropline with gnome 2.10 released!! acidjuice Slackware 14 04-04-2005 09:29 AM


All times are GMT -5. The time now is 03:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration